Bug 661887 - be able to enable/disable recursive flag on groups
be able to enable/disable recursive flag on groups
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-09 16:21 EST by John Mazzitelli
Modified: 2013-09-02 03:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-12-09 16:21:28 EST
In the GWT UI, for compatible and mixed groups, we should be able to edit the "recursive" flag. today its fixed, it can't change once the group is created.

In JSF, we had the ability to turn on and off recursive-ness, so we know the SLSBs support this. Just need the GUI to expose it.
Comment 1 John Mazzitelli 2010-12-11 16:14:20 EST
git commit ffd054195e9efc6946c5824a8fc2e80c04de6535

bug 662337 introduces a new editable form item that is being used to help fix this issue.

while fixing this issue, I also fixed a problem in ResourceGroupManagerBean.setResursive (see git commit 073c3c9dd5cfc49d30d2989561038a5e2e75b9de)

to test the fix:

1) create a non-recursive group, containing 1 agent resource
2) view the group
2a) notice the left hand tree shows no child nodes, just one top root node
2b) expand the summary section to see the recursive setting value
3) notice it says "Recursive: No". Hover over the "No", and click the edit icon
4) check the checkbox and either hit "enter" or click the "OK" icon
5) you should see a green info message saying the recursive setting was set and the setting should now say "Recursive: Yes"
6) refresh the screen with F5
7) notice the left-hand tree now - it shows child nodes. Seeing child nodes indicates that this is a recursive group.
Comment 2 Sunil Kondkar 2011-05-27 06:31:16 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

Followed the steps and verified that the non-recursive group after editing the recursive value from 'no' to 'yes' and after a refresh, shows the left-hand tree with child nodes.

Marking as verified.
Comment 3 Heiko W. Rupp 2013-09-02 03:26:02 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.